Search media
curl --request GET \
--url https://api.clinikapi.com/v1/media \
--header 'x-api-key: <api-key>'import requests
url = "https://api.clinikapi.com/v1/media"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.clinikapi.com/v1/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Media
Search Media
GET
/
v1
/
media
Search media
Authorizations
Your ClinikAPI secret key (clk_live_* or clk_test_*)
Query Parameters
Filter by patient ID
Filter by resource status
Filter by media type (image, video, audio)
Filter by acquisition modality
Filter resources from this date
Filter resources up to this date
Results per page
Required range:
x <= 100Pagination cursor from previous response
Response
200
Paginated media list